# -*- rpm-spec -*-

# Version options
%define kernel_base_version	2.6.12
%define kernel_extra_version	%nil
# Numeric extra version scheme developed by Alexander Bokovoy:
# 0.0.X -- preX
# 0.X.0 -- rcX
# 1.0.0 -- release
%define kernel_extra_version_numeric 1.0.0
%define krelease alt11

%define base_flavour	std26
%define flavour		%base_flavour-up

# Build options
# You can change compiler version by editing this line:
%define kgcc_version	3.4

# Enable/disable SGML docs formatting
%def_enable docs

# Fixes:
%add_patch_list kernel-fix-build
%add_patch_list kernel-fix-core
%add_patch_list kernel-fix-acpi
%add_patch_list kernel-fix-fs
%add_patch_list kernel-fix-net
#add_patch_list kernel-fix-drivers-atm
%add_patch_list kernel-fix-drivers-block
%add_patch_list kernel-fix-drivers-char
%add_patch_list kernel-fix-drivers-net
%add_patch_list kernel-fix-drivers-usb
#add_patch_list kernel-fix-drivers-i2c
%add_patch_list kernel-fix-drivers-ide
%add_patch_list kernel-fix-drivers-ieee1394
%add_patch_list kernel-fix-drivers-input
%add_patch_list kernel-fix-drivers-md
%add_patch_list kernel-fix-drivers-media
%add_patch_list kernel-fix-drivers-pci
%add_patch_list kernel-fix-drivers-sound
#add_patch_list kernel-fix-drivers-serial
%add_patch_list kernel-fix-drivers-scsi
#add_patch_list kernel-fix-drivers-parport
%add_patch_list kernel-fix-drivers-video
%add_patch_list kernel-fix-security
%add_patch_list kernel-fix-core-skbuff

# Features:

#add_patch_list kernel-feat-drivers-drm
%add_patch_list kernel-feat-drivers-video-splash
%add_patch_list kernel-feat-drivers-input
%add_patch_list kernel-feat-drivers-lirc
%add_patch_list kernel-feat-drivers-net-sk98lin
%add_patch_list kernel-feat-drivers-pktcdvd
%add_patch_list kernel-feat-fs-squashfs
%add_patch_list	kernel-feat-net-ppp-mppe
%add_patch_list	kernel-feat-evms-nodm

# imz: Unicode support in VT/console
#add_patch_list kernel-feat-drivers-console-unicode
# Although this patch changes the interface between the kernel and loadkeys,
# I do not put a Conflicts for the old console-tools here,
# because the old loadkeys works fine the new kernel interface.

## Don't edit below this line ##################################

%define kversion	%kernel_base_version%kernel_extra_version
%define modules_dir	/lib/modules/%kversion-%flavour-%krelease

Name: kernel-image-%flavour
Version: %kversion
Release: %krelease

Summary: The Linux kernel (the core of the Linux operating system)
License: GPL
Group: System/Kernel and hardware
Url: http://www.kernel.org/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%set_kernel_arches i586 x86_64

ExclusiveOS: Linux

BuildRequires: dev86 flex
BuildRequires: libdb4-devel
BuildRequires: gcc%kgcc_version
BuildRequires: kernel-source-%{kernel_base_version} = %{kernel_extra_version_numeric}
BuildRequires: kernel-build-tools >= 0.8, modutils >= 2.4.27-alt1
BuildRequires: %get_patch_list

%if_enabled docs
BuildRequires: xmlto transfig ghostscript
%endif

%if_enabled ccache
BuildRequires: ccache
%endif

%ifdef use_ccache
BuildRequires: ccache
%endif

Requires: bootloader-utils >= 0.3-alt1
Requires: modutils >= 2.4.27-alt1
Requires: mkinitrd >= 1:2.9.2-alt1
Requires: startup >= 0.8.3-alt1

Provides: kernel = %kversion

Prereq: coreutils
Prereq: modutils >= 2.4.27
Prereq: mkinitrd >= 1:2.9.2-alt1

%description
This package contains the Linux kernel that is used to boot and run
your system.

The "std26" variant of kernel packages is a generic 2.6.x kernel which
should support wide range of hardware, but does not contain patches
which are useful only for some special applications (and may have
undesirable side effects in other cases).  This is the default 2.6.x
kernel variant for ALT Linux distributions.

Most hardware drivers for this kernel are built as modules.  Some of
these drivers are built separately from the kernel; they are available
in separate packages (kernel-modules-*-%flavour).

Patches included:%format_patch_list

%package -n kernel-modules-oss-%flavour
Summary: OSS sound driver modules (obsolete)
Group: System/Kernel and hardware
Provides:  kernel-modules-oss-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-oss-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-oss-%kversion-%flavour-%krelease > %version-%release
Prereq: coreutils
Prereq: modutils
Prereq: %name = %version-%release
Requires(postun): %name = %version-%release

%description -n kernel-modules-oss-%flavour
This package contains OSS sound driver modules for the Linux kernel
package %name-%version-%release.

These drivers are declared obsolete by the kernel maintainers; ALSA
drivers should be used instead.  However, the older OSS drivers may be
still useful for some hardware, if the corresponding ALSA drivers do
not work well.

Install this package only if you really need it.

%package -n kernel-headers-%flavour
Summary: Header files for the Linux kernel
Group: System/Kernel and hardware
Requires: kernel-headers-common >= 1.1.5
Provides: kernel-headers = %version

%description -n kernel-headers-%flavour
This package makes Linux kernel headers corresponding to the Linux
kernel package %name-%version-%release available for building
userspace programs (if this version of headers is selected by
adjust_kernel_headers).

Note that such usage of kernel headers in userspace is not supported
by the upstream kernel maintainers and often breaks compilation.
Therefore installing and using this package is not recommended.

%package -n kernel-headers-modules-%flavour
Summary: Headers and other files needed for building kernel modules
Group: System/Kernel and hardware
Requires: kernel-headers-%flavour = %version-%release
Requires: gcc%kgcc_version

%description -n kernel-headers-modules-%flavour
This package contains header files, Makefiles and other parts of the
Linux kernel build system which are needed to build kernel modules for
the Linux kernel package %name-%version-%release.

If you need to compile a third-party kernel module for the Linux
kernel package %name-%version-%release, install this package
and specify %_prefix/src/linux-%version-%flavour as the kernel source
directory.

%package -n kernel-doc-%base_flavour
Summary: Linux kernel %kversion-%base_flavour documentation
Group: System/Kernel and hardware

%description -n kernel-doc-%base_flavour
This package contains documentation files for ALT Linux kernel packages:
 * kernel-image-%base_flavour-up-%kversion-%krelease
 * kernel-image-%base_flavour-smp-%kversion-%krelease

The documentation files contained in this package may be different
from the similar files in upstream kernel distributions, because some
patches applied to the corresponding kernel packages may change things
in the kernel and update the documentation to reflect these changes.

%prep
%setup -cT -n kernel-image-%flavour-%kversion-%krelease
%__rm -rf kernel-source-%kernel_base_version
%__tar -jxf %kernel_src/kernel-source-%kernel_base_version.tar.bz2
%setup -D -T -n kernel-image-%flavour-%kversion-%krelease/kernel-source-%kernel_base_version

echo "patches = %_patch_list"

%apply_patches 2.6

# this file should be usable both with make and sh (for broken modules
# which do not use the kernel makefile system)
echo 'export GCC_VERSION=%kgcc_version' > gcc_version.inc

%__subst 's/EXTRAVERSION[[:space:]]*=.*/EXTRAVERSION = %kernel_extra_version-%flavour-%krelease/g' Makefile
%__subst 's/CC.*$(CROSS_COMPILE)gcc/CC         := $(shell echo $${GCC_USE_CCACHE:+ccache}) gcc-%kgcc_version/g' Makefile

# get rid of unwanted files resulting from patch fuzz
find . -name "*.orig" -delete -or -name "*~" -delete

%build
KernelVer=%kversion-%flavour-%krelease

echo "Building Kernel $KernelVer"

%make_build mrproper

%__cp -vf %{get_kernel_config %_target_cpu} .config

%make_build oldconfig
%make_build include/linux/version.h
%make_build bzImage
%make_build modules

echo "Kernel built $KernelVer"

%if_enabled docs
# psdocs, pdfdocs don't work yet
%make_build htmldocs
%endif

%install
KernelVer=%kversion-%flavour-%krelease

%__install -Dp -m644 System.map %buildroot/boot/System.map-$KernelVer
%__install -Dp -m644 arch/%base_arch/boot/bzImage %buildroot/boot/vmlinuz-$KernelVer
%__install -Dp -m644 .config %buildroot/boot/config-$KernelVer

%__make modules_install INSTALL_MOD_PATH=%buildroot

%__install -d %buildroot%_prefix/include/linux-%version-%flavour/include

pushd include
%__cp -a . %buildroot%_prefix/include/linux-%version-%flavour/include
popd

# remove asm-* include files for other architectures
pushd %buildroot%prefix/include/linux-%version-%flavour/include
for dir in asm-*; do
	[ "$dir" = "asm-generic" ] && continue
	[ "$dir" = "asm-%base_arch" ] && continue
	%__rm -rf -- "$dir"
done
popd

# drivers-headers install
%__install -d %buildroot%_prefix/src/linux-%version-%flavour/drivers/scsi
%__install -d %buildroot%_prefix/src/linux-%version-%flavour/drivers/net/wireless
%__install -d %buildroot%_prefix/src/linux-%version-%flavour/drivers/char/drm
%__cp -a drivers/scsi/{{scsi,hosts,scsi_typedefs}.h,scsi_module.c} \
	%buildroot%_prefix/src/linux-%version-%flavour/drivers/scsi/
%__cp -a drivers/net/wireless/ieee802_11.h \
	%buildroot%_prefix/src/linux-%version-%flavour/drivers/net/wireless/
%__cp -a drivers/char/drm/{drm,drm_os_linux,drmP}.h \
	%buildroot%_prefix/src/linux-%version-%flavour/drivers/char/drm/

%__install -d %buildroot%_prefix/src/linux-%version-%flavour
pushd %buildroot%_prefix/src/linux-%version-%flavour
%__ln_s -f ../../include/linux-%version-%flavour/include ./include
popd

# Install files required for building external modules (in addition to headers)
KbuildFiles="
	Makefile
	Module.symvers
	arch/%base_arch/Makefile

	scripts/pnmtologo
	scripts/mod/modpost
	scripts/mkversion
	scripts/mod/mk_elfconfig
	scripts/kconfig/conf
	scripts/mkcompile_h
	scripts/makelst
	scripts/Makefile.modpost
	scripts/Makefile.modinst
	scripts/Makefile.lib
	scripts/Makefile.clean
	scripts/Makefile.build
	scripts/Makefile
	scripts/kallsyms
	scripts/genksyms/genksyms
	scripts/basic/fixdep
	scripts/extract-ikconfig
	scripts/conmakehash
	scripts/checkversion.pl
	scripts/checkincludes.pl
	scripts/checkconfig.pl
	scripts/bin2c
	scripts/gcc-version.sh

	.config
	gcc_version.inc
"
for f in $KbuildFiles; do
	[ -x "$f" ] && mode=755 || mode=644
	%__install -Dp -m$mode "$f" \
		%buildroot%_prefix/src/linux-%version-%flavour/"$f"
done

%__rm -f %buildroot%modules_dir/{build,source}
%__ln_s %_prefix/src/linux-%version-%flavour %buildroot%modules_dir/build

# install documentation
%if_enabled docs
%__install -d %buildroot%_docdir/kernel-doc-%base_flavour-%version/
%__cp -a Documentation/* %buildroot%_docdir/kernel-doc-%base_flavour-%version/
%__install -d %buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/
for dir in aacraid; do
	%__install -d \
		%buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/$dir/
	%__cp -a drivers/scsi/$dir/README* \
		%buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/$dir/
done
find %buildroot%_docdir/kernel-doc-%base_flavour-%version/DocBook \
	-maxdepth 1 -type f -not -name '*.html' -delete
%endif # if_enabled docs

%post
%post_kernel_image %kversion-%flavour-%krelease

%preun
%preun_kernel_image %kversion-%flavour-%krelease

%post -n kernel-modules-oss-%flavour
%post_kernel_modules %kversion-%flavour-%krelease

%postun -n kernel-modules-oss-%flavour
%postun_kernel_modules %kversion-%flavour-%krelease

%post -n kernel-headers-%flavour
%post_kernel_headers %kversion-%flavour-%krelease

%postun -n kernel-headers-%flavour
%postun_kernel_headers %kversion-%flavour-%krelease

%files
/boot/vmlinuz-%kversion-%flavour-%krelease
/boot/System.map-%kversion-%flavour-%krelease
/boot/config-%kversion-%flavour-%krelease
%modules_dir
%exclude %modules_dir/build

# OSS drivers
%exclude %modules_dir/kernel/sound/oss
%ifarch %ix86
%exclude %modules_dir/kernel/drivers/media/radio/miropcm20.ko
%exclude %modules_dir/kernel/drivers/media/radio/miropcm20-rds.ko
%endif
%exclude %modules_dir/kernel/drivers/usb/class/audio.ko
%exclude %modules_dir/kernel/drivers/usb/class/usb-midi.ko

%files -n kernel-modules-oss-%flavour
%modules_dir/kernel/sound/oss
%ifarch %ix86
%modules_dir/kernel/drivers/media/radio/miropcm20.ko
%modules_dir/kernel/drivers/media/radio/miropcm20-rds.ko
%endif
%modules_dir/kernel/drivers/usb/class/audio.ko
%modules_dir/kernel/drivers/usb/class/usb-midi.ko

%files -n kernel-headers-%flavour
%_prefix/include/linux-%version-%flavour

%files -n kernel-headers-modules-%flavour
%_prefix/src/linux-%version-%flavour
%modules_dir/build

%if_enabled docs
%files -n kernel-doc-%base_flavour
%doc %_docdir/kernel-doc-%base_flavour-%version
%endif

%changelog
* Sun Jul 16 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt11
- Updated kernel-fix-acpi:
  + processor: powernow-k8 crash workaround
- Updated kernel-fix-core:
  + i386: move phys_proc_id/early intel workaround to correct function (fixes
    problems with dual core CPU misdetection)
  + fix zap_thread's ptrace related problems
  + firmware: fix bug in fw_realloc_buffer
  + speedstep-smi: fix incorrect clobbers on asm 
  + ipc: fix access to unmapped vmalloc area in grow_ary()
  + idr: fix missing locking leading to races
  + RLIMIT_CPU: fix handling of a zero limit
  + cpufreq: powernow-k8: update powernow-k8 driver to a more recent version
    corresponding approximately to kernel 2.6.16; adds support for new
    processor models, including Turion64 X2 (#9737)
  + cpufreq: fix several bugs in cpufreq support
  + hpet: blacklist MSI MS-1058
- Updated kernel-fix-drivers-char:
  + agpgart: efficeon-agp: add missing memory mask
- Updated kernel-fix-drivers-ide:
  + alim15x3: add ULi M1573 support
  + ide-io: increase timeout value to allow for slave wakeup
- Updated kernel-fix-drivers-ieee1394:
  + ohci1394: fix broken suspend/resume
- Updated kernel-fix-drivers-md:
  + dm: add missing bdput/thaw_bdev at removal
  + dm: free minor after unlink gendisk
- Updated kernel-fix-drivers-net:
  + via-rhine: zero pad short packets on Rhine I ethernet cards
  + uli526x: backport uli526x driver from 2.6.16
- Updated kernel-fix-drivers-pci:
  + pci-acpi: correctly allocate return buffers for _OSC calls
- Updated kernel-fix-drivers-scsi:
  + dc395x: apply changes from recent kernels to fix SG list mapping (#9354)
- Updated kernel-fix-drivers-usb:
  + option: fix array overrun
  + ohci-hcd: add reboot notifier (fixes poweroff problems on some machines)
- Updated kernel-fix-fs:
  + ext2: fix readdir f_pos re-validation logic
  + fix sys_flock() race
  + smbfs: fix slab corruption in error path
  + tmpfs: time granularity fix for inode times going backwards
  + tmpfs: decrement i_nlink correctly in shmem_rmdir()
- Updated kernel-fix-net:
  + netlink: fix bug in overrun handling
  + netfilter: ip_queue: fix wrong skb->len == nlmsg_len assumption
  + ensure device name passed to SO_BINDTODEVICE is NULL terminated
- Updated kernel-fix-security:
  + CVE-2006-0039: netfilter: do_add_counters race, possible oops or info leak
  + CVE-2006-0554: xfs: ftruncate() bug could expose stale data
  + CVE-2006-0555: nfs: fix a potential panic in O_DIRECT
  + CVE-2006-1242: tcp: do not use id of global tcp_socket when sending RST
  + CVE-2006-1343: netfilter: fix small information leak in SO_ORIGINAL_DST
  + CVE-2006-1522: keys: fix oops when adding key to non-keyring
  + CVE-2006-1525: ipv4: ip_route_input panic fix
  + CVE-2006-1527: netfilter: sctp conntrack: fix infinite loop
  + CVE-2006-1857: sctp: validate the parameter length in HB-ACK chunk
  + CVE-2006-1858: sctp: respect the real chunk length when walking parameters
  + CVE-2006-1860: fs/locks.c: fix lease_init
  + CVE-2006-1863: cifs: don't allow backslash in a path component
  + CVE-2006-1864: smbfs chroot issue
  + CVE-2006-2071: shmat: stop mprotect from giving write permission to a
    readonly attachment
  + CVE-2006-2271: sctp: fix state table entries for chunks received in CLOSED
    state
  + CVE-2006-2272: sctp: fix panic when receiving fragmented SCTP control
    chunks
  + CVE-2006-2274: sctp: prevent possible infinite recursion with multiple
    bundled DATA
  + CVE-2006-2444: netfilter: snmp nat: fix memory corruption
  + CVE-2006-2445: run_posix_cpu_timers: remove a bogus BUG_ON()
  + CVE-2006-2934: netfilter: sctp: fix crash triggered by packet without
    chunks
  + CVE-2006-3085: netfilter: sctp: fix endless loop caused by 0 chunk length
  + CVE-2006-3626: fix local privilege escalation through /proc race
- Modified configuration:
  + build new uli526x module

* Tue Feb 28 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt10
- Updated kernel-fix-core:
  + handle HP laptop rebooting properly (#7380)
  + sysv shm: fix shmdt when segment size is not aligned
  + sys_signal: initialize ->sa_mask
  + do_sigaction: fix race in ->sa_mask manipulation
  + fix for time going twice as fast on ATI chipsets (first version, needs to
    be activated manually by the "disable_timer_pin_1" boot option)
  + fix for time going twice as fast on ATI chipsets (another version, ported
    from x86_64 fix by Andi Kleen; activated automatically when an ATI PCI
    bridge is found during ACPI init, or can be configured manually with
    "disable_8254_timer" and "enable_8254_timer" boot options)
- Updated kernel-fix-drivers-input:
  + mousedev: fix memory leak
- Updated kernel-fix-drivers-net:
  + ppp: fix hardware RX checksum handling
- Updated kernel-fix-drivers-scsi:
  + ahci: add VIA VT8251 support
- Updated kernel-fix-drivers-usb:
  + pl2303: make PL2303HX chip work correctly
  + pl2303: add ID for Nokia CA-42 USB cable
  + pl2303: add IDs for Siemens SX1 and x75 mobiles
  + pl2303: fix data length check in pl2303_update_line_status
  + pl2303: add ID for CA-42 clone cable
  + pl2303: add ID for Sagem mobile
  + pl2303: add ID for Leadtek GPS-Mouse 9531
  + usbserial: add spinlock, fix racy and buggy code checking URB status
  + usbserial: add NULL checks in tty operation to avoid oopses
  + usbserial: fix race between open() and close() which could lead to oopses
- Updated kernel-fix-fs:
  + fix NFS inode leak when d_instantiate_unique finds aliased dentry
  + ext2: fix possible deadlock when deleting a file from a filesystem mounted
    with "sync" option
  + ramfs: update dir mtime and ctime
  + binfmt_elf: allow loading of ELF binaries without bss (#9051)
  + binfmt_elf: fix handling of ELF segments with zero filesize
- Updated kernel-fix-security:
  + CVE-2005-3359: fix module reference counts for loadable protocol modules
  + CVE-2006-0095: dm-crypt: zero key before freeing it
  + seclvl: do not crash on settime() with a NULL timeval
  + fix keyctl usage of strnlen_user()

* Wed Feb 08 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt9
- Updated kernel-fix-core:
  + remove racy BUG_ON() in de_thread()
  + fix crash when ptrace poking hugepage areas
- Updated kernel-fix-drivers-block:
  + cciss: fix CCISS_BIG_PASSTHRU ioctl
- Updated kernel-fix-drivers-char:
  + agpgart: fix serverworks TLB flush
- Updated kernel-fix-drivers-ide:
  + ide-floppy: fix software eject with LS-120 drive
- Updated kernel-fix-drivers-scsi:
  + dpt_i2o: fix a use-after-free bug
  + i2o_scsi: fix oops on command abort
- Updated kernel-fix-fs:
  + ufs: inode->i_sem is not released in error path
  + ufs: fix oops on mount
- Updated kernel-fix-net:
  + ipv4: fix reassembly trim not clearing CHECKSUM_HW
  + ipv6: fix per-socket multicast filtering in exact-match case
  + br: fix race on bridge del if
  + br: recompute features when adding a new device
  + ip_gre: fix hardware checksum modification
  + vlan: fix hardware rx csum errors
  + ebtables: don't match tcp/udp source/destination port for IP fragments
  + fix /sys/class/net/<if>/wireless without dev->get_wireless_stats
  + make second arg to skb_reserve() signed
- Updated kernel-fix-security:
  + updated CVE-2005-3257 fix patch:
    - require CAP_SYS_TTY_CONFIG for KDSKBENT in addition to KDSKBSENT
    - allow normal users to read current settings
  + moxa: require CAP_SYS_RAWIO for firmware loading ioctls
  + CVE-2005-4605: insanity avoidance in /proc
  + CVE-2005-4618: sysctl: don't overflow the user-supplied buffer with '\0';
    make sure to terminate strings with a NUL
  + CVE-2005-3356: fix refcounting on failure exits in sys_mq_open()
  + CVE-2006-0454: icmp: fix extra dst release when ip_options_echo() fails

* Sun Nov 27 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt8
- Updated kernel-fix-core:
  + x86_64/i386: Compute correct MTRR mask on early Noconas
  + fix de_thread() vs send_group_sigqueue() race
  + fix signal->live leak in copy_process()
- Updated kernel-fix-drivers-block:
  + pktcdvd: fix array overrun
- Updated kernel-fix-drivers-char:
  + fix soft lockup with ALSA rtc-timer due to the wrong irq handling in
    rtc_control()
- Updated kernel-fix-net:
  + netfilter: ip_conntrack TCP: Accept SYN+PUSH like SYN
- Updated kernel-fix-security:
  + CVE-2005-3527: fix do_coredump() vs SIGSTOP race
  + CVE-2005-3055: fix signal sending in usbdevio on async URB completion
  + CVE-2005-3274: ipvs: fix race on ip_vs_conn_tab list modification
  + CVE-2005-2709: fix sysctl unregistration oops
  + prism54: fix information leak
  + fix memory leak with file leases
  + remove time_out_leases() printk that's easily triggered by users
  + fix ptrace self-attach rule
  + don't auto-reap traced children
  + fix signal sending in usbdevio on device disconnect
  + fix 32bit integer overflow in invalidate_inode_pages2()

* Sun Nov 06 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt7
- Updated kernel-fix-security:
  + require root privileges for loading key mappings (CAN-2005-3257)

* Wed Oct 26 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt6
- Updated kernel-fix-drivers-net:
  + sis190 driver backport from 2.6.13
- Modified configuration:
  + CONFIG_SIS190=m: enabled sis190 driver

* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt5
- Updated kernel-fix-core:
  + prevent recursive faults in do_exit() by leaving the task alone and wait
    for reboot
  + NPTL signal delivery deadlock fix
  + fix semundo lock leakage due to broken optimization for single-thread case
  + irqpoll (workaround for wrong interrupt routing) backport to 2.6.12
- Updated kernel-fix-drivers-block:
  + cciss: fix wrong PCI ID, add PCI ID for SA E300
- Updated kernel-fix-drivers-char:
  + amd64-agp: add SiS 760 chip support
- Updated kernel-fix-drivers-ide:
  + fix ide-disk inability to handle LBA only devices
  + fix IDE timing violation on reset
  + do not probe legacy ISA/VESA IDE ports 0x1e8, 0x168, 0x1e0, 0x160 on PCI
    systems
  + amd74xx: add PCI ID for NFORCE-MCP55 IDE controller
  + it812x: new driver for ITE IT8211 IDE controller and IT8212 IDE RAID
    controller
  + serverworks: add PCI ID for IDE controller in the HT1000 (BCM5785)
    southbridge
  + via82cxxx: add VT6410 support
- Updated kernel-fix-drivers-ieee1394:
  + ohci1394: init spinlock before registering IRQ handler
- Updated kernel-fix-drivers-input:
  + i8042: add Alienware Sentia to NOMUX blacklist
  + ns558: probe PnP gameports before ISA, so that PnP ports that are already
    enabled get detected as PnP
- Updated kernel-fix-drivers-media:
  + skystar2: fix oops on module unload due to irq number being copied too
    early (before pci_enable_device() has set the proper irq)
- Updated kernel-fix-drivers-net:
  + forcedeth: add PCI IDs for MCP51 and MCP55
  + forcedeth: poll for link changes
  + forcedeth: always initialize link settings in nv_open()
  + r8169: add PCI ID for USR 997902
  + tulip: add PCI ID for Planex FNW-3602-TX
  + tulip: add workarounds for ULi5261 chip quirks (#8331)
- Updated kernel-fix-drivers-scsi:
  + libata: detect PATA->SATA bridges and apply workarounds
  + libata: fix read capacity handling for more than 2TB
  + libata: fix read/write translation edge cases (sector count == 0)
  + megaraid_mbox: update driver to version 2.20.4.6 (adds support for all
    Dobson, Lindsay, and Verde based products regardless of the subsystem ID)
  + sata_nv: add support for MCP51 and MCP55 controllers
  + sata_promise: add PDC20619 chip support (Promise TX4000 controller)
  + sata_promise: add PDC40718 chip support (Promise SATA300 TX4 controller)
  + sata_promise: add PDC40519 chip support (Promise TX4200 controller)
  + sata_promise: do not attempt to use SATA phy on PATA controllers
  + sata_svw: add PCI ID for SATA controller in the HT1000 (BCM5785)
    southbridge
  + sg: fix a memory leak in devices seq_file implementation
- Updated kernel-fix-drivers-usb:
  + pegasus: add Elecom (Laneed) LD-USBL/TX support
  + usbnet: fix gl_skb/skb type error in genelink driver
- Updated kernel-fix-net:
  + ipsec: restrict socket policy loading to CAP_NET_ADMIN (CAN-2005-2555)
  + ipv4: fix DST leak in icmp_push_reply()
  + ipv6: fix SKB leak in ip6_input_finish()
- Updated kernel-fix-security:
  + fix cmsg copying from userspace (CAN-2005-2490)
  + fix unchecked __get_user in IP raw sockets (CAN-2005-2492)
  + fix possible infinite loop in ipv6 (CAN-2005-2973)
  + fix module parameter permissions in drm (CAN-2005-3179)
  + fix information leak in orinoco driver (CAN-2005-3180)
  + fix names_cache memory leak (CAN-2005-3181)
- Modified configuration:
  + CONFIG_BLK_DEV_IT821X=m: enabled ITE 812x driver
  + CONFIG_DEBUG_STACKOVERFLOW=y (x86 only): enable checks for stack overflow
    in IRQ handler entry code

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt4
- Updated kernel-fix-acpi:
  - removed suspend-setup-leave patch (#6785, #7539)
- Updated kernel-fix-core:
  + do not BUG() when module per-cpu alignment cannot be met
  + fix powernow oops on dual-core Athlon
  + clear the returned argument in sys_get_thread_area()
  + check if mode < 0 in sys_set_mempolicy()
  + x86_64: fix memleak from malicious 32bit elf program
  + x86_64: fixing smpboot timing problem
  + x86_64: fix SRAT for non dual-core AMD systems
- Updated kernel-fix-drivers-char:
  + rocket: fix ldisc ref count handling
  + moxa: fix tty driver name which was conflicting with the BSD-style pty
    driver, therefore some ports were inaccessible when using udev
- Updated kernel-fix-drivers-scsi:
  + qla2xxx: correct handling of fc_remote_port_add() failure case
- Updated kernel-fix-fs:
  + fix BIO cloning bug which could result in data corruption with some MD
    setups
  + check input buffer size in zisofs
- Updated kernel-fix-net:
  + fix early vlan adding leads to not functional device
  + xfrm: fix possible overflow of sock->sk_policy
  + fix potential memory corruption in NAT code
  + fix deadlock in ip6_queue
  + wait until all references to ip_conntrack_untracked are dropped on unload
  + fix signedness issues in net/core/filter.c
- Updated kernel-fix-security:
  + fix keyring handling bugs (CAN-2005-2098, CAN-2005-2099)
- Updated kernel-feat-drivers-net-sk98lin:
  + version 8.23
- Rebuild with new kernel-feat-fs-squashfs.

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt3
- Fixed kernel-fix-core-skbuff so that it does nothing for 32-bit architectures
  and enabled it for all architectures to avoid arch-specific BuildRequires.
- Updated kernel-fix-acpi:
  + if ACPI doesn't find an irq listed, don't accept 0 as a valid PCI irq
  + fix PNPACPI resource parser (#7392)
- Updated kernel-fix-drivers-char:
  + fix tpm driver initialization which was messing up other devices
  + add missing NULL checks in tty ioctl code
- Updated kernel-fix-drivers-media:
  + cx88: set hue offset to 128 to correct behavior in cx88 cards
- Updated kernel-fix-drivers-net:
  + fix locking in the shaper driver
- Updated kernel-fix-fs:
  + fix locking in __unregister_chrdev_region()
- Updated kernel-fix-net:
  + revert the nf_reset change completely (previous fix was not enough); drop
    conntrack references manually before packets are queued to packet sockets
- Added kernel-fix-drivers-input:
  + fix problem with trackpoint attached to synaptics passthrough port

* Thu Jul 14 2005 Anton D. Kachalov <mouse@altlinux.org> 2.6.12-alt2
- Per-arch configuration
- Added kernel-fix-core-skbuff for x86_64 only

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt1
- 2.6.12.
- Updated kernel-fix-build, kernel-fix-core, kernel-fix-drivers-char,
  kernel-fix-drivers-ide, kernel-fix-drivers-media, kernel-fix-drivers-net,
  kernel-fix-drivers-pci, kernel-fix-drivers-scsi, kernel-fix-drivers-usb,
  kernel-fix-drivers-video, kernel-fix-fs, kernel-fix-net, kernel-fix-security:
  - removed obsolete patches
- Updated kernel-fix-acpi:
  + updated acpi-attrs and suspend-setup-leave patches for 2.6.12
  + call acpi_register_gsi() even for default PCI interrupt assignment (needed
    to set PCI interrupts to level/low properly)
- Updated kernel-fix-core:
  + round size in remap_pfn_range() up to a page boundary
  + add "memory" clobbers to string.h functions to avoid memory access
    reordering by gcc
- Updated kernel-fix-drivers-media:
  + updated Manli and BeholdTV remote control support patch for 2.6.12
- Updated kernel-fix-drivers-net:
  + e1000: fix spinlock bug
- Updated kernel-fix-drivers-pci:
  + fix typo in drv->driver.shutdown setting for PCI drivers that might result
    in not setting drv->driver.owner
- Updated kernel-fix-drivers-scsi:
  + fix qla2xxx initialization problems
- Updated kernel-fix-drivers-usb:
  + updated old_scheme_first patch for 2.6.12
- Updated kernel-fix-net:
  + fix connection tracking on bridges
  + fix socket hashing bugs in netlink
- Updated kernel-fix-security:
  + CAN-2005-1913
- Updated kernel-feat-drivers-input:
  + updated trackpoint support patch:
    - warning: module parameters for trackpoint device configuration are no
      longer available - use sysfs for configuration;
    - support for scroll emulation in the driver was removed - use the
      appropriate Xorg options
- Updated kernel-feat-drivers-lirc, kernel-feat-drivers-sk98lin:
  + fix compilation with 2.6.12
- Updated kernel-feat-drivers-video-splash:
  + updated splash patch for kernel 2.6.12

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt11
- Updated kernel-fix-core:
  + fix get_unmapped_area() sanity tests
  + fix try_to_unmap_cluster() passing out-of-bounds pte to pte_unmap()
- Updated kernel-fix-drivers-char:
  + fix mxser receive problem (#6615)
- Updated kernel-fix-drivers-media:
  + bttv: make video capture work on Leadtek WinFast VC100 XP cards
  + saa7134: add support for remote control as used with Manli MuchTV
    M-TV00[12] boards; add BeholdTV 401 and BeholdTV 403 FM card names to the
    Manli entries (#6917)
  + bttv: fix oops on i2c registration failure
- Updated kernel-fix-fs:
  + ext3: fix possible false assertion failure in log_do_checkpoint()
  + hfs, hfsplus: fix leaks and oops in hfsplus
- Updated kernel-fix-net:
  + bridge: avoid poisoning of the bridge forwarding table by frames that have
    been dropped by filtering
  + netem: avoid infinite loop in qdisc_run() when using duplication
  + fix deadlock with ip_queue and tcp local input path
- Modified configuration:
  + disabled CONFIG_PREEMPT (with the default scheduler this options causes
    significant slowdown especially noticeable during boot)
  + disabled CONFIG_ACPI_DEBUG (workaround for #6304)
  + enabled CONFIG_LOGO_LINUX_CLUT224 (#6975)
  + enabled CONFIG_LOGO_LINUX_MONO (just in case)
- Moved OSS modules for USB audio devices (audio and usb-midi) to the
  kernel-modules-oss-%%flavour subpackage (the snd-usb-audio module from ALSA
  is preferred).

* Sun May 15 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt10
- Updated kernel-fix-security:
  + fix user pointer validation in raw and pktcdvd drivers

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt9
- Updated kernel-fix-acpi:
  + show some ACPI device attributes in sysfs (currently hardware_id,
    compatible_ids, bus_address, unique_id)
- Updated kernel-fix-core:
  + remove bogus BUG() in kernel/exit.c
  + fix driver_detach in case the release handler itself calls
    device_release_driver() for the next device (could cause hangs with some
    USB drivers like cdc-acm which bind to more than one interface)
- Updated kernel-fix-drivers-net:
  + 3c59x: only put the device into D3 when we're actually using WOL (some
    devices have trouble with D3 on warm boot)
- Added kernel-fix-drivers-scsi:
  + aacraid: fix oops on management device open for nonexistent controller
  + fix queue lock allocation for SCSI devices (fixes problems with hot
    unplugging, especially with the CFQ scheduler)
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=155472
  +  require CAP_ADMIN for SG_IO to tape drives (sending SCSI commands to the
    drive behind the back of the st driver may cause the device state to be
    inconsistent with the internal driver state and cause problems)
  + enable both old and new megaraid drivers (the new megaraid_mbox driver does
    not support some devices which are supported by the old driver)
  + blacklist some broken SCSI scanners which respond to all LUNs
- Updated kernel-fix-drivers-usb:
  + fix bug in visor driver with throttle/unthrottle causing oopses
- Added kernel-fix-drivers-video:
  + fix bad PCI driver name in intelfb
  + fix oops in intelfb due to __initdata marking of module parameters
- Updated kernel-fix-fs:
  + fix race between ext3 make block reservation and reservation window discard
- Updated kernel-fix-net:
  + ebtables: fix smp race under heavy load
  + rose: verify ndigis in rose_rt_ioctl()
- Removed kernel-feat-drivers-drm (switched from in-kernel DRM drivers to the
  DRM CVS).
- Modified configuration:
  + enabled old megaraid driver in addition to the new one
  + disabled intel-mch-agp (it contains a copy of the intel-agp code for Intel
    82865 and 82875 chips intended for the x86_64 architecture; these chips are
    supported by the intel-agp module on i386)
  + disabled DRM support for buildind external DRM modules from DRI CVS;
    removed corresponding Provides from the package
- Reverted kernel-headers-%%flavour and kernel-headers-modules-%%flavour layout
  modification from 2.6.11-alt7 (causes problems when upgrading old packages).

* Wed May 11 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt8
- Updated kernel-fix-security:
  + fix ELF core dump issue (CAN-2005-1263)

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt7
- Added kernel-feat-drivers-net-sk98lin:
  + updated sk98lin driver to 8.16 from vendor
- Updated kernel-fix-acpi:
  + call ACPI suspend preparation methods in proper places with respect to PCI
    devices suspend/resume (#6785)
- Updated kernel-fix-core:
  + make rwsems use interrupt disabling spinlocks (fixes deadlock in
    dio_complete())
  + fix syscall table for UML
  + fix SMP crash in security/keys/key.c
- Added kernel-fix-drivers-i2c:
  + fix oops in the eeprom driver
  + fix sysfs permissions in it87 and via686a drivers (could cause oops if
    write is attempted)
  + fix multiple bugs in i2c-ali1563 driver
- Updated kernel-fix-drivers-media:
  + fix freeze on loading bttv in some configurations
- Updated kernel-fix-drivers-net:
  + fix irda-usb "badness" problem and sysfs support
- Updated kernel-fix-drivers-usb:
  + enable "old_scheme_first" and "use_both_schemes" parameters of usbcore by
    default (#6728)
- Updated kernel-fix-fs:
  + fix race in jbd code which could give oopses
- Updated kernel-fix-net:
  + fix deadlock in IPsec when sending ICMP "fragmentation needed" packet
  + fix binary search in the BIC congestion control algorithm
- Modified configuration:
  + enlarged kernel message buffer to 64 KB (#6366)
  + disabled software suspend support (does not work with modular drivers)
  + disabled buggy MTD drivers (#5994)
  + enabled NAPI support in starfire, r8169, ixgb, s2io drivers
  + enabled ISDN4Linux support
  + enabled OSS sound drivers (#6521)
  + disabled HID Boot Protocol drivers (usbkbd, usbmouse)
  + enabled EFI partition table support
- Build OSS sound drivers as a separate module package
  (kernel-modules-oss-%%flavour) (#6521).
- Fixed kernel-headers-%%flavour file list (some headers were missing).
- Fixed passing of config file to the kernel build system.
- Moved kernel-headers-%%flavour files to /usr/src/linux-%version-%flavour,
  leaving a symlink in /usr/include (fixes problems with third-party modules
  which don't like symlinks in the kernel source tree).
- Spec file cleanup, rewritten package descriptions.

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt6
- Updated kernel-fix-security:
  + fixed isofs corrupted filesystem handling (CAN-2005-0815)
  + fixed bluetooth range checking bug (CAN-2005-0750)
  + fixed ext2 information leak (CAN-2005-0400)
  + fixed binfmt_elf DoS (CAN-2005-0749)
- Updated kernel-fix-core:
  + fixed tasklist locking bug which caused hangs instead of reboot on SMP
- Updated kernel-fix-drivers-net:
  + fixed missing free_irq in error path in amd8111e and via-rhine drivers
  + fixed check for underflow in the tun driver
  + fixed kernel panic on receive in the hd6457x driver
- Updated kernel-fix-net:
  + fixed deadlock in NetROM
  + fixed crash when reading /proc/net/route
  + fixed bug in IPSEC support (__xfrm_find_acq_byseq)
- Fixed passing config file to the kernel build system (replacing defconfig was
  a broken way which worked before for some unknown reason).
- Removed hack which copied .config back to source.

* Wed Mar 16 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt5
- Updated kernel-fix-security:
  + fix ppp_async issue (CAN-2005-0384)
  + fix information leak through get_task_comm()

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt4
- 2.6.11 (really kernel-fix-* packages contain relevant patches from 2.6.11.3).
- Updated kernel-fix-security:
  + epoll: return proper error on overflow condition
- Updated kernel-fix-acpi, kernel-fix-core, kernel-fix-drivers-block,
  kernel-fix-drivers-md, kernel-fix-drivers-sound:
  - removed obsolete patches
- Updated kernel-fix-build:
  + fix "make htmldocs" failure
- Updated kernel-fix-drivers-ide:
  + fix no_lba48_dma flag handling in ide-disk (fixes DMA timeouts on old
    ALI15x3 controllers with a large disk)
- Updated kernel-fix-drivers-input:
  + make ACPI detection of i8042 controllers ia64-only (many x86 PCs have
    broken BIOS tables)
- Updated kernel-fix-drivers-net:
  + fix receive descriptor length setting in r8169
  + fix sis900 oops with preempt/SMP
  + fix via-rhine oops on shutdown with old chips without WOL support
- Updated kernel-fix-drivers-pci:
  + fix double free in the pciehp module
- Updated kernel-fix-drivers-usb:
  + fix cdc-acm oopses on disconnect
- Updated kernel-fix-fs:
  + fix stat for device nodes on cramfs
- Updated kernel-fix-net:
  + export tcp_timer_bug_msg for modular ipv6 build
- Updated kernel-feat-drivers-input:
  + updated trackpoint patch
  - removed alps patch (included in 2.6.11)
- Updated kernel-feat-drivers-video-splash:
  + new bootsplash patch for 2.6.11
- Added kernel-fix-drivers-char:
  + fix bug in drm setversion ioctl which could crash the X server
  + fix chip type for Radeon Yi ES1000 RN50
- Added kernel-fix-drivers-media:
  + fix saa7110 oops on modprobe
  + fix i2c message flags in video drivers
- Added kernel-feat-drivers-drm:
  + add VIA Unichrome driver (version 2.3.3)
- Removed kernel-fix-drivers-atm, kernel-fix-drivers-i2c,
  kernel-fix-drivers-serial, kernel-fix-drivers-parport (obsolete for 2.6.11).
- Modified configuration:
  + enabled all DRM modules (DRM sources from xorg-x11 6.8.2 no longer compile
    with kernel 2.6.11, but modules shipped with the kernel are new enough)
- Added Provides: kernel-modules-drm-%%flavour for compatibility.

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.10-alt3
- Build with gcc-3.4.
- Added kernel-fix-drivers-atm, kernel-fix-drivers-block,
  kernel-fix-drivers-i2c, kernel-fix-drivers-input, kernel-fix-drivers-md,
  kernel-fix-drivers-pci, kernel-fix-drivers-serial; updated kernel-fix-acpi,
  kernel-fix-core, kernel-fix-drivers-char, kernel-fix-drivers-ide,
  kernel-fix-drivers-scsi, kernel-fix-drivers-sound, kernel-fix-drivers-usb:
    + sync with 2.6.10-as3 patchset
- Modified configuration:
  + moved IDE support to modules
  + moved ext2 filesystem support to modules
  + disabled ALSA drivers (in-kernel version is too old, use separate
    kernel-modules-alsa-* packages which are updated)
- Changed /lib/modules/%%version-%%flavour-%%krelease/build symlink to point to
  %%_usrsrc/linux-%%version-%%flavour/ and moved it to the
  kernel-headers-modules-%%flavour subpackage.
- Added version to Provides: kernel-headers (#5872).
- Updated kernel-fix-drivers-ide:
  + added patch to fix endless partition rescan on PCMCIA flash (#5853).

* Sat Jan 08 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.10-alt2
- Removed broken symlink /lib/modules/%%version-%%flavour-%%krelease/source.
- Updated kernel-fix-security:
  + fix uselib() issue (CAN-2004-1235)
  + fix expand_stack issue (CAN-2005-0001)
  + fix integer signedness issues in moxa, random, scsi drivers
  + fix RLIMIT_MEMLOCK enforcement

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.10-alt1
- 2.6.10
- Added ccache support (was lost because of CC=gcc3.3 in the kernel
  makefile).
- Updated kernel-fix-build, kernel-fix-drivers-net, kernel-fix-net,
  kernel-feat-drivers-pktcdvd:
  - removed obsolete patches
- Updated kernel-fix-drivers-parport:
  + fixed parport_pc module parameters
- Updated kernel-feat-drivers-video-splash:
  + new bootsplash patch for 2.6.10
- Updated kernel-feat-net-ppp-mppe:
  + updated patch to version 1.2 (fixes CryptoAPI-related bug)
- Added kernel-fix-drivers-ieee1394:
  + remove broken MODULE_ALIAS_CHARDEV entries from ieee1394 modules (#3873)
- Removed kernel-fix-drivers-serial (obsolete).
- Modified configuration:
  + CONFIG_EDD is not set (causes boot problems, #5511)
  + CONFIG_APM_IGNORE_USER_SUSPEND is not set (apparently this option was set
    accidentally a long time ago and then forgotten)
  + CONFIG_GEN_RTC is not set (conflicts with the real RTC support)
  + CONFIG_FB_RADEON_OLD is not set (conflicts with the new radeonfb driver)
  + CONFIG_USB_DYNAMIC_MINORS is not set (#5484)
  + lots of new drivers enabled (too many to list here)

* Thu Oct 28 2004 Anton Farygin <rider@altlinux.ru> 2.6.9-alt11
- fixed iptables
- fixed kernel-headers for using with userspace programms (#5409)
- added kernel-feat-evms-nodm patch
- ppp fixed: terminate connection on hangup

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2.6.9-alt10
- new version
- enabled swsusp
- enabled preempt

* Wed Aug 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.8-alt9
- Added missing scripts/gcc-version.sh to kernel-headers-modules.
- Removed libkconfig.so shared library to avoid extra dependencies in packages.

* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2.6.8-alt8
- 2.6.8
- added patch for fix typo in nfs code (2.6.8.1)
- updated acpi subsystem to last stable release (20040717)
- updated bootsplash

* Thu Aug 05 2004 Anton Farygin <rider@altlinux.ru> 2.6.7-alt8
- Updated kernel-fix-security:
    + fix ppos races (CAN-2004-0415)

* Thu Jun 17 2004 Anton Farygin <rider@altlinux.ru> 2.6.7-alt7
- 2.6.7
- updated bootsplash patch
- added kernel-fix-drivers-net:
  + 2.6_50_eql-check-null.patch: add NULL checks to the eql driver
  + 2.6_51_airo-proc-fix.patch: fix airo /proc write breakage
- added kernel-fix-drivers-usb:
  + 2.6_51_phidgetservo-fixes.patch: fix use of freed memory in PhidgetServo
    driver
  + 2.6_52_storage-jumpshot-fix.patch: fix size reporting in the Lexar Jumpshot
    CF driver; avoid "unneeded entry" message with some devices
- added kernel-fix-drivers-scsi:
  + 2.6_50_sata_sil-mod15write.patch: fix Seagate+SiI3112 mod15write bug
    workaround broken by the LBA48 optimizations

* Tue Jun 15 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt6
- kernel-fix-security added:
  + 2.6_50_fpu-exception.patch: fix FPU exception handling DoS

* Fri May 21 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt5
- updated to last kernel-fix-ide and kernel-fix-fs patches:
  + 2.6_55_reiserfs-i_size-race.patch: fix reiserfs inode size update race
    which could lead to file corruption
  + 2.6_52_no-suspend-on-reboot.patch: replaced with better fix (flush drive
    cache on reboot)
  + 2.6_51_dquot_release-oops.patch: fix dquot_release oops with quota_v1
  + 2.6_52_quota-recursion.patch: fixes quota recursion into filesystem
  + 2.6_53_quota-recursion-fix.patch: fix the recursion fix
  + 2.6_54_quota-v2-corruption.diff: fix possible quota_v2 files corruption
    when root did not have any inodes&space allocated
- added kernel-feat-pktcdvd

* Mon May 17 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt4
- config tuning:
    CONFIG_BLK_DEV_ATIIXP=y
    CONFIG_IP_NF_MATCH_IPRANGE=m
    CONFIG_IP_NF_MATCH_PHYSDEV=m
    * disabled debug on i2c
    * enabled ebtables
    * disabled CONFIG_FONT_MINI_4x6
    * moved CONFIG_X86_MCE_NONFATAL to modules
    * disabled CONFIG_IDEDMA_IVB
- added kernel-fix-drivers-ide (Sergey Vlasov) with:
  + 2.6_50_wcache-fixes.patch: fix write cache handling problems:
    + fix drive->wcache setting
    + send CACHE FLUSH (EXT) only if the drive claims to support it
    + fix for Maxtor disks falsely claiming CACHE FLUSH EXT support
  + 2.6_51_system_state.patch: differentiate between halt/poweroff/reboot
  + 2.6_52_no-suspend-on-reboot.patch: avoid drive spindown on reboot

* Tue May 11 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt3
- 2.6.6
- fixed depends (kernel-headers-modules)
- added kernel-fix-acpi with:
    fixes IRQ12 sharing

 
- Added kernel-feat-drivers-console-unicode by Ivan Zakharyaschev <imz@altlinux.ru>:
  fixes the imperfectness of Linux VT/console Unicode support 
  (involves a change of the kernel interface used by loadkeys, 
  but mainly is compatible with old loadkeys).

* Mon Apr 05 2004 Anton Farygin <rider@altlinux.ru> 2.6.5-alt2
- fixed requires (kernel-headers-common >= 1.1.5), bugzilla #3892


* Mon Apr 05 2004 Anton Farygin <rider@altlinux.ru> 2.6.5-alt1
- 2.6.5
- added squashfs patch
- enabled forcedeth driver (CONFIG_FORCEDETH=m)
- added kernel-doc-std26 package
- updated trackpoint patch
- updated splash patch


* Thu Mar 22 2004 Anton Farygin <rider@altlinux.ru> 2.6.4-alt4
- fixed requires (mkinitrd >= 2.9.1-alt1, modutils >= 2.4.27-alt1)
- some cpufreq feathures moved to modules
- enabled PF_KEYv2 socket family support
- temporary disabled software suspend
- temporary disabled PREEMPT
- updated bootsplash patch from Gentoo (with fixed kernel oops on boot)
- added Provides: alsa = 1.0.3
- added lirc modules
- disabled drm modules

* Wed Mar 17 2004 Anton Farygin <rider@altlinux.ru> 2.6.4-alt3
- removed Provides kernel-headers-std
- fixed permissions for files into /boot

* Thu Mar 11 2004 Anton Farygin <rider@altlinux.ru> 2.6.4-alt2
- 2.6.4

* Wed Feb 18 2004 Anton Farygin <rider@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Tue Feb 17 2004 Rider <rider@altlinux.ru> 2.6.2-alt2
- removed symlinking to default kernel on post-install stage

* Wed Feb  4 2004 Ed V. Bartosh <ed@altlinux.org> 2.6.2-alt1
- 2.6.2
- CONFIG_HIGHMEM4G=y (64G caused an reboot on Centrino-based notebooks)
- CONFIG_MAGIC_SYSRQ=y

* Tue Jan 20 2004 Ed V. Bartosh <ed@altlinux.org> 2.6.1-alt5
- evms 2.2.2
- packet CD writing support
- CD-MRW (Mt Rainier) support
- CONFIG_BLK_DEV_IDEPNP was turned off
- some headers from ./drivers/char/drm/ added to the kernel-headers-modules
- kernel-modpost package removed
- xfs bug fixed

* Sat Jan 17 2004 Gleb Stiblo <ulfr@altlinux.org> 2.6.1-alt4
- framebuffer added!
- splash added

* Thu Jan 15 2004 Ed V. Bartosh <ed@altlinux.org> 2.6.1-alt3
- initrd size increased to 12288 Kb
- DM and EVMS fixes added
- spec sanity check: %%defattr removed

* Wed Jan  14 2004 Gleb Stiblo <ulfr@altlinux.org> 2.6.1-alt2
- some files to kernel-headers-modules
- Makefiles hacks
- initrd size increased to 8192 Kb

* Fri Jan  9 2004 Ed V. Bartosh <ed@altlinux.org> 2.6.1-alt1
- 2.6.1
- gcc 3.3
- Default Linux Capabilities build into the kernel
- NSA SELinux Support removed

* Thu Jan  8 2004 Ed V. Bartosh <ed@altlinux.org> 2.6.0-alt3
- kernel-fix-security patchset added (CAN-2003-0985 mremap fix and capability fix)
- NSA SELinux Support added

* Tue Dec 23 2003 Ed V. Bartosh <ed@altlinux.org> 2.6.0-alt2
- IDE chipsets are compiled into the kernel now

* Thu Dec 18 2003 Ed V. Bartosh <ed@altlinux.org> 2.6.0-alt1
- rebuild for 2.6.0 release
- fix-core and fix-fs added

* Wed Dec 17 2003 Ed V. Bartosh <ed@altlinux.org> 2.6.0test11-alt2
- symlink 'include' added to the kernel-modules-headers package

* Thu Dec  4 2003 Ed V. Bartosh <ed@altlinux.ru> 2.6.0test11-alt1
- 2.6test11
- spec improvements
- 'kernel-modpost' package added

* Sat Nov 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt12
- Updated kernel-fix-security:
  + fixed CAN-2003-0001, CAN-2003-0461, CAN-2003-0961

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt11
- Updated kernel-fix-fs:
  + fixed iso9660 mount options handling
- Added kernel-fix-security.
- Updated kernel-feat-acpi:
  + new ACPI patch (ACPI hotplug fix, pci=noacpi fix)
- Updated kernel-feat-cpufreq:
  + speedstep-smi driver fixes
- Updated kernel-feat-drivers-libata:
  + updated libata patch to 2.4.23-rc3-libata1:
    - fixed a bug which may cause some devices to "not be talked to" at probe
      time (fixed flush of Device Control register to device)
    - ServerWorks-specific tweaks
  + added Intel Software RAID (ICH5R) support (iswraid module)
- Modified security configuration:
  + Non-executable user stack area enabled (with GCC trampolines
    autodetection): CONFIG_HARDEN_STACK=y, CONFIG_HARDEN_STACK_SMART=y
  + Restricted /proc enabled: CONFIG_HARDEN_PROC=y

* Wed Nov 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt10
- Fixed file lists for kernel-headers-%%flavour:
  + added acpi/, crypto/, freeswan.h, freeswan/, pfkey.h, pfkeyv2.h, zlib/
- Fixed kernel-headers-modules-%%flavour dependencies.
- Modified configuration:
  - adma100, sc1200, siimage drivers are now built into the kernel (building
    IDE controller drivers as modules does not work unless the whole IDE
    subsystem is in modules too)
  - tvmixer module is not built (now it is in kernel-modules-v4l-%%flavour)
- Added kernel-fix-drivers-pnp:
  + fixed problems with detection of some ISA PnP cards
- Updated kernel-fix-drivers-net:
  + fixed multicast list handling in the tulip driver
- Updated kernel-fix-drivers-scsi:
  + sg driver bugfix: do not accept negative sizes in SG_SET_RESERVED_SIZE
- Updates kernel-fix-fs:
  + fixed quota stats accounting bug
  + fixed races on inode deletion (could cause oops with NFS)
- Updated kernel-feat-acpi:
  + new ACPI patch (IRQ assignment fixes, poweroff fix)
- Updated kernel-feat-drivers-libata:
  + new upstream version (Promise driver bugfixes)
  + added support for Promise FastTrak 376

* Sat Nov 15 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt9
- Added kernel-feat-driver-net-pcnet32-old patch 
- fix for vmware network card driver

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt8
- Updated kernel-feat-acpi (ACPI updates and fixes, Alt-SysRq poweroff fix).
- Updated kernel-feat-drivers-libata (new version, Promise SATA driver
  significantly enhanced).
- Updated kernel-fix-drivers-scsi (updated ServeRAID and MegaRAID drivers, SCSI
  blacklist updates).
- Added kernel-fix-drivers-cdrom (bugfixes).
- Updated kernel-fix-core, kernel-fix-drivers-char, kernel-fix-drivers-ide,
  kernel-fix-drivers-ieee1394, kernel-fix-drivers-net, kernel-fix-drivers-pci,
  kernel-fix-drivers-sound, kernel-fix-drivers-usb, kernel-fix-fs,
  kernel-fix-lvm, kernel-fix-net (lots of bugfixes).
- Relaxed BuildRequires (libdb4.0-devel -> libdb4-devel) (#2826).

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt7
- Updated kernel-feat-acpi (important bugfixes; enabled DMI info dump; moved
  ACPI BIOS date cutoff from 2001 to 2000).
- Added kernel-fix-lvm (makes LVM snapshots work with journaling FS).
- Added documentation subpackage (common for std-up and std-smp flavours).
- Added kernel-feat-libata (Serial ATA drivers). Supported devices: Intel ICH5,
  Promise FastTrak S150 TX2plus/TX4/SX4, Broadcom (Apple K2) SATA, VIA SATA.
  Silicon Image SATA support not enabled (does not work yet).
- Updated kernel-feat-i2c (2.8.1 release).

* Tue Oct 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt6
- updated kernel-feat-net-ppp-mppe (this version should really work)
- updated kernel-feat-crypto:
  - back to old cryptoapi from kerneli.org
- moved .config to kernel-headers-modules
- added toplevel Makefile and Rules.make to kernel-headers-modules (needed for
  compilation of some external modules)
- added kernel-feat-cpufreq (frequency/voltage scaling support)
- removed kernel-feat-bttv, kernel-feat-saa7134 (now in kernel-modules-v4l)
- removed kernel-feat-addon (no longer used)
- updated kernel-feat-acpi (more fixes)
- turned off OV511 USB camera driver (now in kernel-modules-v4l)

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt5
- updated kernel-fix-net:
  - hidden IGMPv3 definitions in <linux/in.h> from userspace (workaround for
    #3053)
- updated kernel-fix-drivers-usb, kernel-feat-drivers-usb:
  - lots of bugfixes and new device IDs
- updated kernel-fix-drivers-char:
  - added AGP support for Intel 875 (integrated video not supported)
- fixed kernel-headers-modules building:
  - install updated bttv headers instead of obsolete ones

* Wed Sep 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt4
- added kernel-feat-acpi:
    + ACPI update 20030916-2.4.22 (should fix some problems with nForce)
    + DSDT override from initrd
    + blacklist updates
- added kernel-fix-drivers-mtd, kernel-fix-drivers-sound,
  kernel-fix-drivers-video:
    + missing MODULE_LICENSE fixes
- updated kernel-fix-drivers-char:
    + fixed AGP 3.0 support for Via KT400
    + added AGP support for Intel 7x05, ATI Radeon IGP, Via CLE266
- updated kernel-fix-drivers-pci:
    + enable SMBus controller on ASUS boards
- added kernel-headers-modules-%flavour package (Rider)
- added provides: kernel24-headers (Rider)
- added kernel-feat-drivers-sound-emu10k1 (Rider)
    + update emu10k1 to 0.20a
- added drivers/media/video/ headers to kernel-headers-modules package (Rider)
- disabled 8139cp (PCI ID conflict with 8139too)
- added kernel-fix-drivers-ieee1394, kernel-fix-drivers-atm

* Thu Sep 11 2003 Anton Farygin <rider@altlinux.ru> 2.4.22-alt3
- enabled aic79xx module by default
- updated sk98lin driver for support 3c940 and other (based on sk98)  ethernet cards
- enabled CONFIG_4GB option
- build ATM support for UP kernel

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 2.4.22-alt2
- fixed bug with build userspace v4l programms

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 2.4.22-alt1
- update to 2.4.22
- removed ACPI patches (mainstream)
- removed O(1)sheduler

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt14
- played with OWL patch configs. installator should work just fine now.

* Thu Aug 14 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt13
- added Video4Linux Version 2 API patch.
- added kernel-fix-drivers-md.
- added saa7134 driver.

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt12
- removed percentexclude pcmcia dir.

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt11
- getting back bttv.

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt10
- upgraded patches.
- added patches:
  + kernel-fix-drivers-char
  + kernel-fix-drivers-video
- temporary removed patches:
  - kernel-feat-bttv

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt9
- got back all the pcmcia inkernel drivers, as 3.2.4 are considered as
  experimental.

* Thu Jul 31 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt8
- added kernel-headers to provides of kernel-headers-%{flavour}.
- replaced get_patch_list with format_patch_list.
- rebuilt with new kernel-fix-core with new dcache names patch. start-stop-daemon
  should work now.
- added asm-generic directory to headers.
- don't build pcmcia modules inside the kernel.

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt7
- removed iscsi patch as rider@ and ab@ suggested.

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt6
- Added provides kernel24
- ACPI support now included (+ kernel-feat-acpi)
- Fixed OWL security patch configuration, proc is now visible to all in
  std kernels.

* Tue Jul 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt5
- new patches:
  + kernel-fix-fs

* Wed Jul 09 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt4
- compiled Promise PDC drivers in kernel (satisfying request by mouse@a.r).

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt3
- new patches:
  + kernel-fix-drivers
  \ + ide 
    + net
    + pci 
    + scsi
    + usb
    + security-owl
  + kernel-feat
  \ + fs-ntfs
    + i2c
- fixed spec in many places
- changed /etc/apt/apt.cond.d/file filename so that kernel packages with different versions installed at one time
  don't conflict.

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt1
- upgraded to rc7
- applied patches:
  + kernel-fix-core
  + kernel-feat-core-O1sched
  + kernel-feat-iscsi 
  + kernel-feat-bttv
  + kernel-feat-fs-xfs
  + kernel-feat-kconfig
  + kernel-feat-addon
  + kernel-feat-crypto
  + kernel-feat-drivers-video-splash
  + kernel-feat-net-ipsec
  \ + ipsec
    + ppp-mppe

* Mon May 26 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rc1-alt3
- compile ext2 filesystem in kernel for installer needs.
- added net-ipsec and video-splash features.

* Thu May 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rc1-alt2
- removed crypto patch because it bugs loop filesystem. ... And added 
  it again, because it doesn't.

* Fri Apr 25 2003 Peter Novodvorsky <nidd@altlinux.com> kernel-policy-rc.2
- rc2 policy release.

